GNU bug report logs - #44944
Unable to log into X session via gdm

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Danny Milosavljevic <dannym@HIDDEN>; Done: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 44944 <at> debbugs.gnu.org:


Received: (at 44944) by debbugs.gnu.org; 25 Sep 2022 11:47:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 25 07:47:20 2022
Received: from localhost ([127.0.0.1]:46021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocQ6S-0002Or-5T
	for submit <at> debbugs.gnu.org; Sun, 25 Sep 2022 07:47:20 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:38518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1ocQ6P-0002Oh-FL
 for 44944 <at> debbugs.gnu.org; Sun, 25 Sep 2022 07:47:18 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by albert.telenet-ops.be with bizsmtp
 id QBnF2800720ykKC06BnFUP; Sun, 25 Sep 2022 13:47:15 +0200
Message-ID: <d6954217-2778-f161-87e0-882356ea4ebd@HIDDEN>
Date: Sun, 25 Sep 2022 13:47:15 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 Danny Milosavljevic <dannym@HIDDEN>
References: <20201129140240.546b1403@HIDDEN>
 <8735crdu0p.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#44944: Unable to log into X session via gdm
In-Reply-To: <8735crdu0p.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------qdbXuE0B7S0ZyZwpdSzRrT7D"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1664106435; bh=D4cBxEn1BQQGT7o01q4P87za43f0FK39Ek2+cQ4fVJI=;
 h=Date:To:Cc:References:From:Subject:In-Reply-To;
 b=aLCBHlqSjUPviYfUom2C6AxsCoBmhyea0S0M7lvYjtL6xE8GbL0/YZojNkDljv5y0
 TLSSHXqxWbEz3seH0OVpZXTlHE2/7iq7xFgjRMhT+/u/EThvDwyuMpPyyMmOXF++u4
 7ZO9WYP9O9uKjDqM7thdk9/aaozb6qkveCgmBTCYbsMqSVgRS+ocPOBX9bZfqlDvw/
 kwRx/Kzjyuj9YTRikBX8KbUutAEVf6z13PuVp3jJ/SGI+XXDGTIAijKlvch80UbC9g
 3lTAPU2fHyGu8DGgf4uBBwxHaqqyJFQZJYajfGDOLYVPkmw7fQZlCKRMk+XYS0VyR6
 iz1MlSmi8vNRw==
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 44944
Cc: 44944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------qdbXuE0B7S0ZyZwpdSzRrT7D
Content-Type: multipart/mixed; boundary="------------VO0KMXXC0qLm0aiWRXZRkxf3";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 Danny Milosavljevic <dannym@HIDDEN>
Cc: 44944 <at> debbugs.gnu.org
Message-ID: <d6954217-2778-f161-87e0-882356ea4ebd@HIDDEN>
Subject: Re: bug#44944: Unable to log into X session via gdm
References: <20201129140240.546b1403@HIDDEN>
 <8735crdu0p.fsf@HIDDEN>
In-Reply-To: <8735crdu0p.fsf@HIDDEN>

--------------VO0KMXXC0qLm0aiWRXZRkxf3
Content-Type: multipart/mixed; boundary="------------xaFmj1Y88B0x0gNhdd20MHmF"

--------------xaFmj1Y88B0x0gNhdd20MHmF
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------xaFmj1Y88B0x0gNhdd20MHmF
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------xaFmj1Y88B0x0gNhdd20MHmF--

--------------VO0KMXXC0qLm0aiWRXZRkxf3--

--------------qdbXuE0B7S0ZyZwpdSzRrT7D
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYzA/wwUDAAAAAAAKCRBJ4+4iGRcl7vfD
AQCL4P7cGSn1NWErFJO5IG8aLtYFd87fbsxiM0X0cQez8gD9EVs2sGHdB9UHS+Rpy0HPX811Xc9e
EswRjnSomk68cww=
=bogJ
-----END PGP SIGNATURE-----

--------------qdbXuE0B7S0ZyZwpdSzRrT7D--




Information forwarded to bug-guix@HIDDEN:
bug#44944; Package guix. Full text available.

Message received at 44944 <at> debbugs.gnu.org:


Received: (at 44944) by debbugs.gnu.org; 22 Sep 2022 04:12:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 00:12:00 2022
Received: from localhost ([127.0.0.1]:35779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obDZ9-0001Zw-UV
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 00:12:00 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:44680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1obDZ7-0001Zj-CI
 for 44944 <at> debbugs.gnu.org; Thu, 22 Sep 2022 00:11:58 -0400
Received: by mail-qk1-f173.google.com with SMTP id y2so5400949qkl.11
 for <44944 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 21:11:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:from:to:cc:subject:date;
 bh=r03QhNgra7H/cixxKUWZpM+eLn6QLpeQdkUywjvHiY4=;
 b=T6y6Coi7eRNO7bhXKdK2ne7lx+NTVoyhlnfxiHFtWrTDJAavbE4p2sS14OCSBCuDC0
 7wM97PmCBovml9hLAkcJHFuMvt349o7lWfrvnQ0kbO6udVbTmJu8IUGSsIYN1k/5eXyk
 UhOBRQt2qBGHVlySrOU/VtBELe8Onh8FXA1x3rjtG1anuMLQvT2rvksDykzpymh1HWJN
 2oenm+CzJuF0MeocRruBFXFVZThrmUklZ8uC67s/c9Rf7wsl/unxHT95VWsbb9z8FJEp
 0wNgS81QaROTx6v1//6a77tWdXZIBw2rlky7wboqe3XPhvUzIshTsI7DZqMH4elZ1+Bw
 5fmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=r03QhNgra7H/cixxKUWZpM+eLn6QLpeQdkUywjvHiY4=;
 b=mYVWSghqdhcbnDEQ5YB26x5CjEU3hR6/PkDpJDT40OM4rnPlhM83eWYx1WCs7fmRdH
 zvbDFdJiio1uWlaSUbpz0fcGXLe+hFDu63kzfk87d3cwvFIpYdwP0iplRct0DfDwE8tD
 bwjz8RLupPGfHQZJzkMAfoGl4jgZabPw366MlBCSTHh0SJPwDQDeJffgZd/fanuwCpFz
 0Ytb6Ao1fqVQj1RkV+BDb0Rbe3hAveo8Lj3eBfUifrdgqAekIyokXthSp2OkqSg1B58M
 33v7kol7Wb3Zmk5ogD1oGUevFtr6eo7ao0+lGxsP71Gj2eMAPYT3bbx79uOfN29kfLsf
 ix7w==
X-Gm-Message-State: ACrzQf33NL4SjVARKMRPw8g5R/LoBMwpOEzQtH8ao3tFoRL13AppDHrQ
 XvaT82oNncI0CrtPS65PpZNQuMRMJP8=
X-Google-Smtp-Source: AMsMyM6jmD5NQnaCAr5O8CkkoTo0AqIZlXiSiatYcqAN53JIGJ7Df0L/IJoQTJJT+SgG547T1/pj/g==
X-Received: by 2002:a37:bf81:0:b0:6cd:dbcc:1592 with SMTP id
 p123-20020a37bf81000000b006cddbcc1592mr919033qkf.290.1663819911227; 
 Wed, 21 Sep 2022 21:11:51 -0700 (PDT)
Received: from hurd ([2607:fad8:4:3::1001]) by smtp.gmail.com with ESMTPSA id
 f25-20020ac84659000000b0035ccd148026sm2731005qto.69.2022.09.21.21.11.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 21:11:50 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: bokr@HIDDEN
Subject: Re: bug#44944: Unable to log into X session via gdm
References: <20201129140240.546b1403@HIDDEN>
 <8735crdu0p.fsf@HIDDEN> <20220920144957.GA10253@LionPure>
Date: Thu, 22 Sep 2022 00:11:49 -0400
In-Reply-To: <20220920144957.GA10253@LionPure> (bokr@HIDDEN's message of
 "Tue, 20 Sep 2022 16:49:57 +0200")
Message-ID: <874jx0avzu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44944
Cc: Danny Milosavljevic <dannym@HIDDEN>, 44944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

bokr@HIDDEN writes:

> Hi Maxim,
>
> On +2022-09-16 15:00:22 -0400, Maxim Cournoyer wrote:
>> Hi,
>> 
>> Danny Milosavljevic <dannym@HIDDEN> writes:
>> 
>> > The latest guix system reconfigure (of yesterday) left me unable to login into
>> > my X session.  guix system rollback DID NOT fix it.
>> >
>> > I would enter my password and it would "try" to login and return right back to
>> > the gdm login screen.
>> >
>> > I've since removed gdm from my OS configuration (because I have to do actual
>> > *work* on this computer), but I think it would have been enough to just
>> > chown /var/lib/gdm and rm ~/.xsession-errors (!) in order to make it work
>> > again.
>> >
>> > Does that mean that user ids are non-reproducible?
>> >
>> > Why not have user_id = hash(user_name) ?  Then they *are* reproducible.
>> 
>> That'd be cool, but how would you implement such a hash, that returns
>> something fixed between 0 and 1024?  That doesn't sound feasible,
>> although I'm no hash function expert.
>>
>
> To "return something fixed between 0 and 1024" (1023?) In a context
> with less than 1024 users, couldn't one wrap Danny's "hash(username)"
> with a local function that finds a 0..1023 index into a trusted table
> of hash(username) values represented as string lines?

I'm not sure I follow.  If you had some pseudo-code, that might help me
:-).

> Similar to the idea of representing 32-bit sRGB 16-million-colors+transparency
> with an 8-bit pallette index -- or even a 1-bit index for fg/bg alternates
> to black/white.

I'd need to read more deeply about the topic to understand, but I
welcome mathematicians wizards to devise a cute little function to do
that :-).

> BTW, for the unlimited-number-of-users case, what sets the 1024 range limit?

It's just a convention for "system" users, e.g. users typically not
having a home directory, and perhaps other traits.  It can differ
between distributions.  Some information about it here [0].

[0]  https://unix.stackexchange.com/a/80279/82353

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#44944; Package guix. Full text available.

Message received at 44944 <at> debbugs.gnu.org:


Received: (at 44944) by debbugs.gnu.org; 20 Sep 2022 14:50:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 10:50:25 2022
Received: from localhost ([127.0.0.1]:59188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaeZs-0004kr-Lr
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 10:50:25 -0400
Received: from mailout.easymail.ca ([64.68.200.34]:53704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1oaeZq-0004kY-1f
 for 44944 <at> debbugs.gnu.org; Tue, 20 Sep 2022 10:50:23 -0400
Received: from localhost (localhost [127.0.0.1])
 by mailout.easymail.ca (Postfix) with ESMTP id 99BF9642A6;
 Tue, 20 Sep 2022 14:50:14 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=bokr.com; s=easymail;
 t=1663685414; bh=zSS+dI1zpYMU81eigIDO9z+3J7XCGhkkesIdwMQHWnI=;
 h=From:Date:To:Cc:Subject:Reply-To:References:In-Reply-To:From;
 b=lT2LyisnHsyl+t957kgQ8+F1DYSzlTJi6pYm8oYgtDDqFTjDcbZZqrwfmy8QrMjzr
 I1+AjOXMmK1Uul0t4t1ItgQ2fI/NKGGV+XouX5v3wkSHythOJ3OE/pc14neOTbTRSN
 2yKS1RSp9v+njqhJCG+A73M/Qp7xmyvBgUqZLpH8OyAu/tgPizndTn3GNb9l00WvGt
 AE6RuQHna1RFsduSNR488Gzrg7i6/YaGwrU0mTXm+7mOZU98XZoSw5kgmfsrbrX+1R
 UOVuMuTz6XkmWHgmHJdyTLuI9WbmCMJWXeK8dRjQ8x62xuLCNBKSSz3Z5KfFSO1qb4
 KakZRr32GE7Tw==
X-Virus-Scanned: Debian amavisd-new at emo09-pco.easydns.vpn
Received: from mailout.easymail.ca ([127.0.0.1])
 by localhost (emo09-pco.easydns.vpn [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id fsxjA73GrFr9; Tue, 20 Sep 2022 14:50:14 +0000 (UTC)
Received: from localhost (m90-129-210-62.cust.tele2.se [90.129.210.62])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mailout.easymail.ca (Postfix) with ESMTPSA id 71094641F7;
 Tue, 20 Sep 2022 14:50:13 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=bokr.com; s=easymail;
 t=1663685413; bh=zSS+dI1zpYMU81eigIDO9z+3J7XCGhkkesIdwMQHWnI=;
 h=From:Date:To:Cc:Subject:Reply-To:References:In-Reply-To:From;
 b=diw/JsDMcG80AnwWUyS14HZ15KlZYwBnqEGWDO1QsrOJ7SIYVI4Q9QNfO7xliBpQj
 vpFMPv/qJ+KscCAlb+kIYUKzLxQrwhBdVi/57GYhEq/2FHl0vXcGIqZuesKAgE2TvS
 zx7fO0vrs/z6aVCZ/JjvEcQyfdRJegdZf08nWLMNo5NEHflOtLZ5ayiiy/mnzLRknt
 boLHOVZh2bQ1fKyXm7V2sQEJrM0DZoRYKONa9lAGHzAY40OG8PhBkfsi1zbWkd8hkl
 noe0pcl/wz9d84M1vLUr/vjz9RLl0Yrq+fpD4N4P13HTE7TGLMaAUcPFBqfpv5IINb
 DTFMF6JfNAgKQ==
From: bokr@HIDDEN
Date: Tue, 20 Sep 2022 16:49:57 +0200
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#44944: Unable to log into X session via gdm
Message-ID: <20220920144957.GA10253@LionPure>
References: <20201129140240.546b1403@HIDDEN>
 <8735crdu0p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <8735crdu0p.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44944
Cc: Danny Milosavljevic <dannym@HIDDEN>, 44944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bokr@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxim,

On +2022-09-16 15:00:22 -0400, Maxim Cournoyer wrote:
> Hi,
> 
> Danny Milosavljevic <dannym@HIDDEN> writes:
> 
> > The latest guix system reconfigure (of yesterday) left me unable to login into
> > my X session.  guix system rollback DID NOT fix it.
> >
> > I would enter my password and it would "try" to login and return right back to
> > the gdm login screen.
> >
> > I've since removed gdm from my OS configuration (because I have to do actual
> > *work* on this computer), but I think it would have been enough to just
> > chown /var/lib/gdm and rm ~/.xsession-errors (!) in order to make it work
> > again.
> >
> > Does that mean that user ids are non-reproducible?
> >
> > Why not have user_id = hash(user_name) ?  Then they *are* reproducible.
> 
> That'd be cool, but how would you implement such a hash, that returns
> something fixed between 0 and 1024?  That doesn't sound feasible,
> although I'm no hash function expert.
>

To "return something fixed between 0 and 1024" (1023?) In a context
with less than 1024 users, couldn't one wrap Danny's "hash(username)"
with a local function that finds a 0..1023 index into a trusted table
of hash(username) values represented as string lines?

Similar to the idea of representing 32-bit sRGB 16-million-colors+transparency
with an 8-bit pallette index -- or even a 1-bit index for fg/bg alternates
to black/white.

BTW, for the unlimited-number-of-users case, what sets the 1024 range limit?

> > (I've tried finding the spot where those user accounts are generated/updated
> > but so far have been unable to)
> >
> > Anyway, this is just to record the problem and workaround.  I won't do
> > further research on this problem on it on this computer.
> >
> > The "gdm" system account is gone by now because I've removed gdm from the
> > OS configuration--and I don't plan on adding it ever again.
> 
> I experienced the exact same problem as you.  My topmost /var/lib/gdm
> directory has the correct permissions, but it contains stale entries
> that were created in the past by a different GDM user whose ID is no
> longer the same:
> 
> --8<---------------cut here---------------start------------->8---
> /var/lib/gdm:
> total 616
> drwx------ 1 gdm      gdm          46 Sep 16 09:09 .
> drwxr-xr-x 1 root     root        222 May  7 20:40 ..
> drwxr-xr-x 1 nixbld04 opendht      62 Dec  7  2021 .cache
> drwx------ 1 nixbld04 opendht      44 Dec  7  2021 .config
> -rw------- 1      955 gdm     1146880 Sep 16 09:09 core
> drwxr-xr-x 1 nixbld04 opendht      10 Dec  7  2021 .local
> 
> /var/lib/gdm/.cache:
> total 0
> drwxr-xr-x 1 nixbld04 opendht  62 Dec  7  2021 .
> drwx------ 1 gdm      gdm      46 Sep 16 09:09 ..
> drwxr-xr-x 1 nixbld04 opendht 384 Dec  7  2021 fontconfig
> drwxr-xr-x 1 nixbld04 opendht   6 Dec  7  2021 ibus
> drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 mesa_shader_cache
> 
> /var/lib/gdm/.cache/fontconfig:
> total 84
> drwxr-xr-x 1 nixbld04 opendht   384 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht    62 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 18496 Dec  7  2021 23ef510a04af7dd5ac1a2dbd06c4afd1-le64.cache-7
> -rw-r--r-- 1 nixbld04 opendht   272 Dec  7  2021 269249ae71e4e445ff7f16f21dcb6de5-le64.cache-7
> -rw-r--r-- 1 nixbld04 opendht   256 Dec  7  2021 50fa4f3b9c91fead50cbfcdae3296c45-le64.cache-7
> -rw-r--r-- 1 nixbld04 opendht 50584 Dec  7  2021 a927202dec7f348d7a0569dcad9f19a8-le64.cache-7
> -rw-r--r-- 1 nixbld04 opendht   200 Dec  7  2021 CACHEDIR.TAG
> 
> /var/lib/gdm/.cache/ibus:
> total 0
> drwxr-xr-x 1 nixbld04 opendht  6 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht 62 Dec  7  2021 ..
> drwxr-xr-x 1 nixbld04 opendht 16 Dec  7  2021 bus
> 
> /var/lib/gdm/.cache/ibus/bus:
> total 172
> drwxr-xr-x 1 nixbld04 opendht     16 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht      6 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 173300 Dec  7  2021 registry
> 
> /var/lib/gdm/.cache/mesa_shader_cache:
> total 36
> drwxr-xr-x 1 nixbld04 opendht      34 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht      62 Dec  7  2021 ..
> drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 02
> drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 72
> drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 88
> drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 a3
> drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 c4
> drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 f9
> -rw-r--r-- 1 nixbld04 opendht 1310728 Dec  7  2021 index
> 
> /var/lib/gdm/.cache/mesa_shader_cache/02:
> total 4
> drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 868 Dec  7  2021 f0edfe0ef96096640b39ff4d2786b503a60a43
> 
> /var/lib/gdm/.cache/mesa_shader_cache/72:
> total 4
> drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 989 Dec  7  2021 7cd650943c7a3136f424df6a67c7897f922307
> 
> /var/lib/gdm/.cache/mesa_shader_cache/88:
> total 4
> drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 755 Dec  7  2021 d03ceaeebc55f4b3c972e855775b2c21381b60
> 
> /var/lib/gdm/.cache/mesa_shader_cache/a3:
> total 4
> drwxr-xr-x 1 nixbld04 opendht   76 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht   34 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 1187 Dec  7  2021 2d688084f93805f8921dab8d7a8de5e0f1bc66
> 
> /var/lib/gdm/.cache/mesa_shader_cache/c4:
> total 4
> drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 523 Dec  7  2021 93ffa46c262472c8d01161a581304a790b71ff
> 
> /var/lib/gdm/.cache/mesa_shader_cache/f9:
> total 4
> drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 742 Dec  7  2021 14f5ad63c0e5edcc46473d056d0b5e38415f99
> 
> /var/lib/gdm/.config:
> total 0
> drwx------ 1 nixbld04 opendht  44 Dec  7  2021 .
> drwx------ 1 gdm      gdm      46 Sep 16 09:09 ..
> drwx------ 1 nixbld04 opendht  26 Dec  7  2021 gnome-session
> drwx------ 1 nixbld04 opendht   6 Dec  7  2021 ibus
> drwx------ 1 nixbld04 opendht 500 Dec  7  2021 pulse
> 
> /var/lib/gdm/.config/gnome-session:
> total 0
> drwx------ 1 nixbld04 opendht 26 Dec  7  2021 .
> drwx------ 1 nixbld04 opendht 44 Dec  7  2021 ..
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 saved-session
> 
> /var/lib/gdm/.config/gnome-session/saved-session:
> total 0
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
> drwx------ 1 nixbld04 opendht 26 Dec  7  2021 ..
> 
> /var/lib/gdm/.config/ibus:
> total 0
> drwx------ 1 nixbld04 opendht  6 Dec  7  2021 .
> drwx------ 1 nixbld04 opendht 44 Dec  7  2021 ..
> drwx------ 1 nixbld04 opendht 78 Dec  8  2021 bus
> 
> /var/lib/gdm/.config/ibus/bus:
> total 4
> drwx------ 1 nixbld04 opendht  78 Dec  8  2021 .
> drwx------ 1 nixbld04 opendht   6 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 380 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-unix-0
> 
> /var/lib/gdm/.config/pulse:
> total 64
> drwx------ 1 nixbld04 opendht   500 Dec  7  2021 .
> drwx------ 1 nixbld04 opendht    44 Dec  7  2021 ..
> -rw------- 1 nixbld04 opendht 36864 Dec  7  2021 c096feaf19ce3a0a450915775e7ec8e3-card-database.tdb
> -rw------- 1 nixbld04 opendht     1 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-default-sink
> -rw------- 1 nixbld04 opendht     1 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-default-source
> -rw------- 1 nixbld04 opendht 12288 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-device-volumes.tdb
> -rw------- 1 nixbld04 opendht   696 Dec  7  2021 c096feaf19ce3a0a450915775e7ec8e3-stream-volumes.tdb
> -rw------- 1 nixbld04 opendht   256 Dec  7  2021 cookie
> 
> /var/lib/gdm/.local:
> total 0
> drwxr-xr-x 1 nixbld04 opendht 10 Dec  7  2021 .
> drwx------ 1 gdm      gdm     46 Sep 16 09:09 ..
> drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 share
> 
> /var/lib/gdm/.local/share:
> total 0
> drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht 10 Dec  7  2021 ..
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 applications
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 gnome-shell
> drwxr-xr-x 1 nixbld04 opendht 82 Dec  7  2021 icc
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 sounds
> drwxr-xr-x 1 nixbld04 opendht 96 Dec  8  2021 xorg
> 
> /var/lib/gdm/.local/share/applications:
> total 0
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 ..
> 
> /var/lib/gdm/.local/share/gnome-shell:
> total 0
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 ..
> 
> /var/lib/gdm/.local/share/icc:
> total 4
> drwxr-xr-x 1 nixbld04 opendht   82 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht   72 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 1448 Dec  7  2021 edid-5add33c88281761e832ba5f60ec1628e.icc
> 
> /var/lib/gdm/.local/share/sounds:
> total 0
> drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
> drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 ..
> 
> /var/lib/gdm/.local/share/xorg:
> total 132
> drwxr-xr-x 1 nixbld04 opendht    96 Dec  8  2021 .
> drwxr-xr-x 1 nixbld04 opendht    72 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 52932 Dec  8  2021 Xorg.0.log
> -rw-r--r-- 1 nixbld04 opendht 53878 Dec  8  2021 Xorg.0.log.old
> -rw-r--r-- 1 nixbld04 opendht 10481 Dec  8  2021 Xorg.1.log
> -rw-r--r-- 1 nixbld04 opendht 10481 Dec  8  2021 Xorg.1.log.old
> --8<---------------cut here---------------end--------------->8---
> 
> We have some logic in %gdm-activation that was supposed to fix that, but
> it doesn't kick in, because it has some optimization to not recurse if
> the top dir has the correct permissions, and since d429878daf3 the top
> directory permissions are always controlled at system activation time
> (and this must happen before the gdm activation script runs).
> 
> I'll follow-up with a patch that puts /var/lib/gdm on a tmpfs.  This
> should avoid many pitfalls people have had.
> 
> Thanks,
> 
> Maxim
> 
> 
>

PS. WDYT..
(If there isn't a tool already available that'd make it easy to use
the one-liners pro devs can concoct off the top of their heads :)
..of having a package that would install a script
to output a reminder of stale-cache-items-in-general?

It could e.g. be triggered on login by a user
more than <some configured time> since last login,
with output similar to guile's.

As a model I notice guile seems to notice stale cached .go files,
as demoed by:
--8<---------------cut here---------------start------------->8---
$ cat is-this-stale_q
#!/usr/bin/env -S guile -s
!#
(display "Test 1: is this stale??\n")
--8<---------------cut here---------------end--------------->8---

--8<---------------cut here---------------start------------->8---
$ ./is-this-stale_q
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /home/bokr/BS/bs20220919_2206/./is-this-stale_q
;;; compiled /home/bokr/.cache/guile/ccache/2.2-LE-8-3.A/home/bokr/BS/bs20220919_2206/is-this-stale_q.go
Test 1: is this stale??
--8<---------------cut here---------------end--------------->8---

--8<---------------cut here---------------start------------->8---
$ ./is-this-stale_q
Test 1: is this stale??
--8<---------------cut here---------------end--------------->8---

$ fg # back to emacs for mod:  s/Test 1/Test 2/ 
emacs -nw is-this-stale_q

--8<---------------cut here---------------start------------->8---
$ ./is-this-stale_q
;;; note: source file /home/bokr/BS/bs20220919_2206/./is-this-stale_q
;;;       newer than compiled /home/bokr/.cache/guile/ccache/2.2-LE-8-3.A/home/bokr/BS/bs20220919_2206/is-this-stale_q.go
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /home/bokr/BS/bs20220919_2206/./is-this-stale_q
;;; compiled /home/bokr/.cache/guile/ccache/2.2-LE-8-3.A/home/bokr/BS/bs20220919_2206/is-this-stale_q.go
Test 2: is this stale??
--8<---------------cut here---------------end--------------->8---

--8<---------------cut here---------------start------------->8---
$ ./is-this-stale_q
Test 2: is this stale??
--8<---------------cut here---------------end--------------->8---





Information forwarded to bug-guix@HIDDEN:
bug#44944; Package guix. Full text available.

Message received at 44944-done <at> debbugs.gnu.org:


Received: (at 44944-done) by debbugs.gnu.org; 16 Sep 2022 21:04:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 17:04:02 2022
Received: from localhost ([127.0.0.1]:44458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZIVF-0000aX-Ri
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 17:04:02 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:34348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oZIVC-0000a2-KK
 for 44944-done <at> debbugs.gnu.org; Fri, 16 Sep 2022 17:04:00 -0400
Received: by mail-qk1-f174.google.com with SMTP id g2so13861266qkk.1
 for <44944-done <at> debbugs.gnu.org>; Fri, 16 Sep 2022 14:03:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:from:to:cc:subject:date;
 bh=tmsN7LB/nce4RXt2DY89FIjFsolWfuT3uDJbVSmQ+o8=;
 b=fNSaR4W9Uo6G3xvgF1EgxVwzqOMS9Ud98c3mELdi1esFnFEEYNLnw4SjbIPsBR9dji
 s/RWumRViWSwXp3BMlZLEm718JnfsBjVV50i0hPD/eKEXZ4roZwlHZYqU584UXHCMjqh
 I8xbBpfe2pQYoAqRC6hyhvt+E2ICXhiPiY96HG79iBU8jFlfC2/QXIPdI/o7B5glgOO0
 8iRnYLM6XFgu5BqBbUUAbMSBBgsyEemwmcc4jcA9NTSFzVNIsplGvxptR98wPp+maUBX
 sTNh0FJs49JFiFoyvCjBeaerOJwaBH0ZuaC3+4hppjWPeGaK85jr+21lVN+VCkglm0S0
 FXoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=tmsN7LB/nce4RXt2DY89FIjFsolWfuT3uDJbVSmQ+o8=;
 b=h+z0MymggmHhXD93sN2+XS+dg8o6WolwNIoPf8+DsRchBPlFa7D/GK9Y/N4On+1Yob
 tJtaVGTkN0yxM8KuX0FXbkOa8DcwXY6Ds5/zuKN0EHZuLthUFpFTk4w+HQsYXpMY4Glw
 lr1kgbIhykiuq22dVTluXQMgorQ2m2uSGTR8eqy4ILUto0/8ypTqod5zAoVm2Hnt3kZY
 AIyK0+UAocc+drelsNZ46wpQ6QRX3dHLDeiq3fsc0+I3Lt/i2M+KSru5yDrvJSxCwh2/
 aMChXDF45jCRUR8g8fSDF5VFe0MUn9bECEB3+o6ta8OhIXQUaSaNrF8FtVIwenwrITh0
 riNQ==
X-Gm-Message-State: ACrzQf04JcTTNC1OUfQbqo3Bq8hSv7yubsdeieCYPE5V0hM1vfVNdW0G
 I95oRAd6b4a2iI/I0rqxeEQHEOAqe+k=
X-Google-Smtp-Source: AMsMyM7f6uGqTmCcetYsSQC3e+1SJu5uCic6NbJdgHO8PrPnFNUq+pojohFisLlMdAZWd8P9HOoPVw==
X-Received: by 2002:a37:6c03:0:b0:6ce:a0b5:461e with SMTP id
 h3-20020a376c03000000b006cea0b5461emr5276614qkc.343.1663362232791; 
 Fri, 16 Sep 2022 14:03:52 -0700 (PDT)
Received: from hurd (dsl-155-48.b2b2c.ca. [66.158.155.48])
 by smtp.gmail.com with ESMTPSA id
 bp44-20020a05622a1bac00b0034456277e3asm5736212qtb.89.2022.09.16.14.03.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 16 Sep 2022 14:03:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#44944: Unable to log into X session via gdm
References: <20201129140240.546b1403@HIDDEN>
 <8735crdu0p.fsf@HIDDEN>
Date: Fri, 16 Sep 2022 17:03:50 -0400
In-Reply-To: <8735crdu0p.fsf@HIDDEN> (Maxim Cournoyer's message of "Fri, 16
 Sep 2022 15:00:22 -0400")
Message-ID: <87k063jakp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44944-done
Cc: 44944-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

[...]

> /var/lib/gdm/.local/share/xorg:
> total 132
> drwxr-xr-x 1 nixbld04 opendht    96 Dec  8  2021 .
> drwxr-xr-x 1 nixbld04 opendht    72 Dec  7  2021 ..
> -rw-r--r-- 1 nixbld04 opendht 52932 Dec  8  2021 Xorg.0.log
> -rw-r--r-- 1 nixbld04 opendht 53878 Dec  8  2021 Xorg.0.log.old
> -rw-r--r-- 1 nixbld04 opendht 10481 Dec  8  2021 Xorg.1.log
> -rw-r--r-- 1 nixbld04 opendht 10481 Dec  8  2021 Xorg.1.log.old
>
> We have some logic in %gdm-activation that was supposed to fix that, but
> it doesn't kick in, because it has some optimization to not recurse if
> the top dir has the correct permissions, and since d429878daf3 the top
> directory permissions are always controlled at system activation time
> (and this must happen before the gdm activation script runs).
>
> I'll follow-up with a patch that puts /var/lib/gdm on a tmpfs.  This
> should avoid many pitfalls people have had.

Pushed as d7e56aebec.

This should fix the issue for good!

Closing.

Maxim




Notification sent to Danny Milosavljevic <dannym@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 44944 <at> debbugs.gnu.org:


Received: (at 44944) by debbugs.gnu.org; 16 Sep 2022 19:00:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 15:00:32 2022
Received: from localhost ([127.0.0.1]:44366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZGZj-0002oF-Rs
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 15:00:32 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:33457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oZGZi-0002Ql-5y
 for 44944 <at> debbugs.gnu.org; Fri, 16 Sep 2022 15:00:31 -0400
Received: by mail-qt1-f181.google.com with SMTP id ay9so5954422qtb.0
 for <44944 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 12:00:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:from:to:cc:subject:date;
 bh=1fBGUB33SO3r8zsr6Zp38LiBaRQyd+gdD8vhhfM0YCQ=;
 b=qWdm9K4ebjp/N6kbrHBSgWpLXJERp8aU5lDd+d4YR7LqDvqIPHmyYkX51ux3dt66Yp
 vqdxf3607wGETUPUFCMoKkguj8A/4hjoY62V8SYQKczU4O5YNBaopfeFBSZQ4UfUNbif
 kYNTSNfCNL9lBwvRoF8CZceivuU2PALEJkHo3r+Q9LfGDJUPIrCUeZJ/wHG0YtCt2lJM
 2he0KU8V0LUir3Eq2vOylXktPzIAp9GcOx+67zpnJ3hCuKH3ruZT/+x68Az0Ae8v23U0
 aQKVMDIkJlVHrxgay557z/06OC3YPNmm/CbeZc6yUBZMUjhTna4C2+JlnmAUizJzWpby
 kx2g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=1fBGUB33SO3r8zsr6Zp38LiBaRQyd+gdD8vhhfM0YCQ=;
 b=sL66r5YoSfhL/iWP5d5pLKId61+JetZlIHiPzeN3c0oYhOVQHMa4yHrdQ+VAU0UQIE
 ywavayfLO9EBodB42vYXJeIAy8XAGQTlXo/jSvoEJzo66RVxeAoWveCmaxWf+3ZAQ/bc
 Vmyyg0hW++mpVpsHMT5yezA2uCSy04ZRh7fSWNsMvoiRA07o6BfBJZD43KuAGyUqn/QH
 eOo0BJ1tCf9yM9FaePhvgRl61pzDibzrX8KHIR/zLiIp4mAN20v6cgEoz7FGyrA/01T9
 9vFzxzPulq9f9jbJQLb8k/J0s93IRA+yMH+NP3QYUW6Nyzgrd0jZAL0/rX3aTlXDwUKY
 LXVQ==
X-Gm-Message-State: ACrzQf23DMlpEDzojVftodMa/yGLeuqtTxSBchfEA82olWS4T8iMFQ+7
 UWHyPbDN6MYdRnrmp2LE5gQpzLG81/I=
X-Google-Smtp-Source: AMsMyM5Kfa2VREzot9dDLSCZiadpeS14/ps+4ZkwFZPZyVZRjPiT4mj/cHzyfxKqb/TgqjMEc04Plw==
X-Received: by 2002:a05:622a:14a:b0:35c:c06a:25d1 with SMTP id
 v10-20020a05622a014a00b0035cc06a25d1mr5560966qtw.254.1663354824082; 
 Fri, 16 Sep 2022 12:00:24 -0700 (PDT)
Received: from hurd (dsl-155-48.b2b2c.ca. [66.158.155.48])
 by smtp.gmail.com with ESMTPSA id
 i18-20020a05620a405200b006bb9125363fsm6181799qko.121.2022.09.16.12.00.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 16 Sep 2022 12:00:23 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#44944: Unable to log into X session via gdm
References: <20201129140240.546b1403@HIDDEN>
Date: Fri, 16 Sep 2022 15:00:22 -0400
In-Reply-To: <20201129140240.546b1403@HIDDEN> (Danny Milosavljevic's
 message of "Sun, 29 Nov 2020 14:02:40 +0100")
Message-ID: <8735crdu0p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44944
Cc: 44944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Danny Milosavljevic <dannym@HIDDEN> writes:

> The latest guix system reconfigure (of yesterday) left me unable to login into
> my X session.  guix system rollback DID NOT fix it.
>
> I would enter my password and it would "try" to login and return right back to
> the gdm login screen.
>
> I've since removed gdm from my OS configuration (because I have to do actual
> *work* on this computer), but I think it would have been enough to just
> chown /var/lib/gdm and rm ~/.xsession-errors (!) in order to make it work
> again.
>
> Does that mean that user ids are non-reproducible?
>
> Why not have user_id = hash(user_name) ?  Then they *are* reproducible.

That'd be cool, but how would you implement such a hash, that returns
something fixed between 0 and 1024?  That doesn't sound feasible,
although I'm no hash function expert.

> (I've tried finding the spot where those user accounts are generated/updated
> but so far have been unable to)
>
> Anyway, this is just to record the problem and workaround.  I won't do
> further research on this problem on it on this computer.
>
> The "gdm" system account is gone by now because I've removed gdm from the
> OS configuration--and I don't plan on adding it ever again.

I experienced the exact same problem as you.  My topmost /var/lib/gdm
directory has the correct permissions, but it contains stale entries
that were created in the past by a different GDM user whose ID is no
longer the same:

--8<---------------cut here---------------start------------->8---
/var/lib/gdm:
total 616
drwx------ 1 gdm      gdm          46 Sep 16 09:09 .
drwxr-xr-x 1 root     root        222 May  7 20:40 ..
drwxr-xr-x 1 nixbld04 opendht      62 Dec  7  2021 .cache
drwx------ 1 nixbld04 opendht      44 Dec  7  2021 .config
-rw------- 1      955 gdm     1146880 Sep 16 09:09 core
drwxr-xr-x 1 nixbld04 opendht      10 Dec  7  2021 .local

/var/lib/gdm/.cache:
total 0
drwxr-xr-x 1 nixbld04 opendht  62 Dec  7  2021 .
drwx------ 1 gdm      gdm      46 Sep 16 09:09 ..
drwxr-xr-x 1 nixbld04 opendht 384 Dec  7  2021 fontconfig
drwxr-xr-x 1 nixbld04 opendht   6 Dec  7  2021 ibus
drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 mesa_shader_cache

/var/lib/gdm/.cache/fontconfig:
total 84
drwxr-xr-x 1 nixbld04 opendht   384 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht    62 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 18496 Dec  7  2021 23ef510a04af7dd5ac1a2dbd06c4afd1-le64.cache-7
-rw-r--r-- 1 nixbld04 opendht   272 Dec  7  2021 269249ae71e4e445ff7f16f21dcb6de5-le64.cache-7
-rw-r--r-- 1 nixbld04 opendht   256 Dec  7  2021 50fa4f3b9c91fead50cbfcdae3296c45-le64.cache-7
-rw-r--r-- 1 nixbld04 opendht 50584 Dec  7  2021 a927202dec7f348d7a0569dcad9f19a8-le64.cache-7
-rw-r--r-- 1 nixbld04 opendht   200 Dec  7  2021 CACHEDIR.TAG

/var/lib/gdm/.cache/ibus:
total 0
drwxr-xr-x 1 nixbld04 opendht  6 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht 62 Dec  7  2021 ..
drwxr-xr-x 1 nixbld04 opendht 16 Dec  7  2021 bus

/var/lib/gdm/.cache/ibus/bus:
total 172
drwxr-xr-x 1 nixbld04 opendht     16 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht      6 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 173300 Dec  7  2021 registry

/var/lib/gdm/.cache/mesa_shader_cache:
total 36
drwxr-xr-x 1 nixbld04 opendht      34 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht      62 Dec  7  2021 ..
drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 02
drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 72
drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 88
drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 a3
drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 c4
drwxr-xr-x 1 nixbld04 opendht      76 Dec  7  2021 f9
-rw-r--r-- 1 nixbld04 opendht 1310728 Dec  7  2021 index

/var/lib/gdm/.cache/mesa_shader_cache/02:
total 4
drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 868 Dec  7  2021 f0edfe0ef96096640b39ff4d2786b503a60a43

/var/lib/gdm/.cache/mesa_shader_cache/72:
total 4
drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 989 Dec  7  2021 7cd650943c7a3136f424df6a67c7897f922307

/var/lib/gdm/.cache/mesa_shader_cache/88:
total 4
drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 755 Dec  7  2021 d03ceaeebc55f4b3c972e855775b2c21381b60

/var/lib/gdm/.cache/mesa_shader_cache/a3:
total 4
drwxr-xr-x 1 nixbld04 opendht   76 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht   34 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 1187 Dec  7  2021 2d688084f93805f8921dab8d7a8de5e0f1bc66

/var/lib/gdm/.cache/mesa_shader_cache/c4:
total 4
drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 523 Dec  7  2021 93ffa46c262472c8d01161a581304a790b71ff

/var/lib/gdm/.cache/mesa_shader_cache/f9:
total 4
drwxr-xr-x 1 nixbld04 opendht  76 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht  34 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 742 Dec  7  2021 14f5ad63c0e5edcc46473d056d0b5e38415f99

/var/lib/gdm/.config:
total 0
drwx------ 1 nixbld04 opendht  44 Dec  7  2021 .
drwx------ 1 gdm      gdm      46 Sep 16 09:09 ..
drwx------ 1 nixbld04 opendht  26 Dec  7  2021 gnome-session
drwx------ 1 nixbld04 opendht   6 Dec  7  2021 ibus
drwx------ 1 nixbld04 opendht 500 Dec  7  2021 pulse

/var/lib/gdm/.config/gnome-session:
total 0
drwx------ 1 nixbld04 opendht 26 Dec  7  2021 .
drwx------ 1 nixbld04 opendht 44 Dec  7  2021 ..
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 saved-session

/var/lib/gdm/.config/gnome-session/saved-session:
total 0
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
drwx------ 1 nixbld04 opendht 26 Dec  7  2021 ..

/var/lib/gdm/.config/ibus:
total 0
drwx------ 1 nixbld04 opendht  6 Dec  7  2021 .
drwx------ 1 nixbld04 opendht 44 Dec  7  2021 ..
drwx------ 1 nixbld04 opendht 78 Dec  8  2021 bus

/var/lib/gdm/.config/ibus/bus:
total 4
drwx------ 1 nixbld04 opendht  78 Dec  8  2021 .
drwx------ 1 nixbld04 opendht   6 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 380 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-unix-0

/var/lib/gdm/.config/pulse:
total 64
drwx------ 1 nixbld04 opendht   500 Dec  7  2021 .
drwx------ 1 nixbld04 opendht    44 Dec  7  2021 ..
-rw------- 1 nixbld04 opendht 36864 Dec  7  2021 c096feaf19ce3a0a450915775e7ec8e3-card-database.tdb
-rw------- 1 nixbld04 opendht     1 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-default-sink
-rw------- 1 nixbld04 opendht     1 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-default-source
-rw------- 1 nixbld04 opendht 12288 Dec  8  2021 c096feaf19ce3a0a450915775e7ec8e3-device-volumes.tdb
-rw------- 1 nixbld04 opendht   696 Dec  7  2021 c096feaf19ce3a0a450915775e7ec8e3-stream-volumes.tdb
-rw------- 1 nixbld04 opendht   256 Dec  7  2021 cookie

/var/lib/gdm/.local:
total 0
drwxr-xr-x 1 nixbld04 opendht 10 Dec  7  2021 .
drwx------ 1 gdm      gdm     46 Sep 16 09:09 ..
drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 share

/var/lib/gdm/.local/share:
total 0
drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht 10 Dec  7  2021 ..
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 applications
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 gnome-shell
drwxr-xr-x 1 nixbld04 opendht 82 Dec  7  2021 icc
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 sounds
drwxr-xr-x 1 nixbld04 opendht 96 Dec  8  2021 xorg

/var/lib/gdm/.local/share/applications:
total 0
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 ..

/var/lib/gdm/.local/share/gnome-shell:
total 0
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 ..

/var/lib/gdm/.local/share/icc:
total 4
drwxr-xr-x 1 nixbld04 opendht   82 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht   72 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 1448 Dec  7  2021 edid-5add33c88281761e832ba5f60ec1628e.icc

/var/lib/gdm/.local/share/sounds:
total 0
drwx------ 1 nixbld04 opendht  0 Dec  7  2021 .
drwxr-xr-x 1 nixbld04 opendht 72 Dec  7  2021 ..

/var/lib/gdm/.local/share/xorg:
total 132
drwxr-xr-x 1 nixbld04 opendht    96 Dec  8  2021 .
drwxr-xr-x 1 nixbld04 opendht    72 Dec  7  2021 ..
-rw-r--r-- 1 nixbld04 opendht 52932 Dec  8  2021 Xorg.0.log
-rw-r--r-- 1 nixbld04 opendht 53878 Dec  8  2021 Xorg.0.log.old
-rw-r--r-- 1 nixbld04 opendht 10481 Dec  8  2021 Xorg.1.log
-rw-r--r-- 1 nixbld04 opendht 10481 Dec  8  2021 Xorg.1.log.old
--8<---------------cut here---------------end--------------->8---

We have some logic in %gdm-activation that was supposed to fix that, but
it doesn't kick in, because it has some optimization to not recurse if
the top dir has the correct permissions, and since d429878daf3 the top
directory permissions are always controlled at system activation time
(and this must happen before the gdm activation script runs).

I'll follow-up with a patch that puts /var/lib/gdm on a tmpfs.  This
should avoid many pitfalls people have had.

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#44944; Package guix. Full text available.

Message received at 44944 <at> debbugs.gnu.org:


Received: (at 44944) by debbugs.gnu.org; 29 Nov 2020 21:20:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 16:20:26 2020
Received: from localhost ([127.0.0.1]:52770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjU7O-0000iV-A2
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 16:20:26 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:49870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1kjU7N-0000iM-1K
 for 44944 <at> debbugs.gnu.org; Sun, 29 Nov 2020 16:20:26 -0500
Received: from localhost (80-110-127-97.cgn.dynamic.surfer.at [80.110.127.97])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id B234B3367E97;
 Sun, 29 Nov 2020 22:20:22 +0100 (CET)
Date: Sun, 29 Nov 2020 22:20:20 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Marius Bakke <marius@HIDDEN>
Subject: Re: bug#44944: Unable to log into X session via gdm
Message-ID: <20201129222020.7a804daa@HIDDEN>
In-Reply-To: <87blfg14jn.fsf@HIDDEN>
References: <20201129140240.546b1403@HIDDEN> <87blfg14jn.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.7 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/QdnHWg8RhPq/ZfjIBfyAh2L";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44944
Cc: 44944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/QdnHWg8RhPq/ZfjIBfyAh2L
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi,

On Sun, 29 Nov 2020 18:00:44 +0100
Marius Bakke <marius@HIDDEN> wrote:

> Danny Milosavljevic <dannym@HIDDEN> skriver:
>=20
> > The latest guix system reconfigure (of yesterday) left me unable to log=
in into
> > my X session.  guix system rollback DID NOT fix it.
> >
> > I would enter my password and it would "try" to login and return right =
back to
> > the gdm login screen. =20
>=20
> Can you find any clues in the log files as to why this happened?

I did check, but there were not really good clues in the logs, among other
things because it seemed that ~/.xsession-errors did not get updated.  ls
did report that ~/.xsession-errors belongs to me, but it still didn't update
it, which is why I then removed it.  But I only did that after removing gdm
as well, so I don't know whether removing gdm or removing ~/.xsession-errors
or both fixed it.

Checking the logs again, I have only this interesting line:

>Nov 29 04:24:26 localhost gdm: GdmDisplay: Session never registered, faili=
ng=20


> Did you reboot after reconfiguring?

I had selected the older system generation in the grub boot menu.

--Sig_/QdnHWg8RhPq/ZfjIBfyAh2L
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl/EEJQACgkQ5xo1VCww
uqWYOQgAh3buWqZWrWqh5Csg1ESpUTQu8tMbvnvMpQkWEtWet1XZeSP+N7m2JHio
UKcKkquY8uQd72JcvW6F93i77QLaeHvh6KC3tAwSk+XXfbaz/lfdyJwDoW4UbcGt
mf+iGcagcvvZwYi4kTiFZNVTOYyiqmooIi7D6y8zbUVvLUvKdUud2Iz+ZWMl5Avb
6J0y5sT1+zDa4uD3d9tgYNvVhtYM9lCxK0AW+eLCSC8FaAwIiG+5no4u1gV73pux
kZRICe3EIcfkWuAMZV9WIGTdWDhtCJ6Mudgy+ws0xCU1/cMd0DAJIBb2CrMLu1ac
m35d7dwPi+lVn3Sci7GY7ETOKf40YQ==
=50Lq
-----END PGP SIGNATURE-----

--Sig_/QdnHWg8RhPq/ZfjIBfyAh2L--




Information forwarded to bug-guix@HIDDEN:
bug#44944; Package guix. Full text available.

Message received at 44944 <at> debbugs.gnu.org:


Received: (at 44944) by debbugs.gnu.org; 29 Nov 2020 17:00:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 12:00:55 2020
Received: from localhost ([127.0.0.1]:52405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjQ4F-0002sF-Cg
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 12:00:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1kjQ4D-0002s1-Gp
 for 44944 <at> debbugs.gnu.org; Sun, 29 Nov 2020 12:00:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36621)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1kjQ47-0002tc-QQ; Sun, 29 Nov 2020 12:00:47 -0500
Received: from host-37-191-236-253.lynet.no ([37.191.236.253]:47966
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1kjQ46-0001NB-Uy; Sun, 29 Nov 2020 12:00:47 -0500
From: Marius Bakke <marius@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>, 44944 <at> debbugs.gnu.org
Subject: Re: bug#44944: Unable to log into X session via gdm
In-Reply-To: <20201129140240.546b1403@HIDDEN>
References: <20201129140240.546b1403@HIDDEN>
Date: Sun, 29 Nov 2020 18:00:44 +0100
Message-ID: <87blfg14jn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44944
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Danny Milosavljevic <dannym@HIDDEN> skriver:

> The latest guix system reconfigure (of yesterday) left me unable to login into
> my X session.  guix system rollback DID NOT fix it.
>
> I would enter my password and it would "try" to login and return right back to
> the gdm login screen.

Can you find any clues in the log files as to why this happened?

Did you reboot after reconfiguring?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFDBAEBCgAtFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl/D07wPHG1hcml1c0Bn
bnUub3JnAAoJEKKgbfKjOlT6SjsH/jwmnCLdB8ajkVi+2IwqDzlD3TzBYtwkXHHm
8ZFgvgzpdPY+4JDWRSzCjzjWSeYeVQKNdrze2HeiCUivOmEVmv604PUZt26EDoXl
6OKH9UpbTVadxnDUfVm+0fjhgg1a6OfeTwJwzsPwJFd9AOfA/pOuWzfUoU4Zcuwc
4WBYg6sAmERxKNhyTzgy5ADaOoHP5Hh0OaT0ROXLe/5V/kOq5BoRfGtk9neOLRSa
q8sQNjCtawNNriP46VS0gI+XFDh9SBKEJiDihock7c3M1y+BKZsfsnKwHqUFRp84
mGQlXw82BfljCx0IOlZBGJ/ZUDo4YvlhxWv9VAtgA+myqhd1elM=
=IpiW
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44944; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Nov 2020 13:02:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 29 08:02:53 2020
Received: from localhost ([127.0.0.1]:49994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjMLt-0007bU-Bk
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 08:02:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:32860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1kjMLr-0007bM-SS
 for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 08:02:52 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:35182)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dannym@HIDDEN>)
 id 1kjMLp-0006J0-32
 for bug-guix@HIDDEN; Sun, 29 Nov 2020 08:02:51 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:49262)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dannym@HIDDEN>)
 id 1kjMLl-0001v4-UB
 for bug-guix@HIDDEN; Sun, 29 Nov 2020 08:02:48 -0500
Received: from localhost (80-110-127-97.cgn.dynamic.surfer.at [80.110.127.97])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 5B001336576A
 for <bug-guix@HIDDEN>; Sun, 29 Nov 2020 14:02:42 +0100 (CET)
Date: Sun, 29 Nov 2020 14:02:40 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: <bug-guix@HIDDEN>
Subject: Unable to log into X session via gdm
Message-ID: <20201129140240.546b1403@HIDDEN>
X-Mailer: Claws Mail 3.17.7 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/GJwqkjBo0lix+rvee6F6tYk";
 protocol="application/pgp-signature"; micalg=pgp-sha512
Received-SPF: none client-ip=85.13.145.193;
 envelope-from=dannym@HIDDEN; helo=dd26836.kasserver.com
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--Sig_/GJwqkjBo0lix+rvee6F6tYk
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

The latest guix system reconfigure (of yesterday) left me unable to login i=
nto
my X session.  guix system rollback DID NOT fix it.

I would enter my password and it would "try" to login and return right back=
 to
the gdm login screen.

I've since removed gdm from my OS configuration (because I have to do actual
*work* on this computer), but I think it would have been enough to just
chown /var/lib/gdm and rm ~/.xsession-errors (!) in order to make it work
again.

Does that mean that user ids are non-reproducible?

Why not have user_id =3D hash(user_name) ?  Then they *are* reproducible.

(I've tried finding the spot where those user accounts are generated/updated
but so far have been unable to)

Anyway, this is just to record the problem and workaround.  I won't do
further research on this problem on it on this computer.

The "gdm" system account is gone by now because I've removed gdm from the
OS configuration--and I don't plan on adding it ever again.

For reference, in order to remove gdm from the system configuration in
/etc/config.scm, do:

(1) Replace %desktop-services by
 (remove (lambda (service) (eq? (service-kind service) gdm-service-type)) %=
desktop-services)

(2) Add (service slim-service-type) to SERVICES in /etc/config.scm

(3) guix system reconfigure /etc/config.scm

--Sig_/GJwqkjBo0lix+rvee6F6tYk
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl/Dm/AACgkQ5xo1VCww
uqVhCQf/WsQedB2SJcRyggzFVgIbfBon1o08ZsjharOZ6iP6yj+PQRW63T/Nkwqm
M4+QKlvXnhKiiotmQWi7skAje5eYW4uVt47TUTBr9+++4EEJh5aTlnWg2wf1Q9Z3
DgQRJxxjH6U1cn8J1gBFW2tFmrTrM0ONAtB9BPohAh5Kz70c9FiUTimVsl+GwA0t
rpLxVXRvTs/Hiox/fx5R4UueVYeFoNKJ/OuOrdMeamkyOqrx+cZX50+7mdUZIGU0
xod0fOxRf9Gj+ZT4cJY9FeLrn6Xq1rs06MSLe6HD9D/6RuvA1T6bhk8G23LFeVML
RXY9vgUWfTqdSk1mQBfXqJgz5A5XIw==
=rut2
-----END PGP SIGNATURE-----

--Sig_/GJwqkjBo0lix+rvee6F6tYk--




Acknowledgement sent to Danny Milosavljevic <dannym@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#44944; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 25 Sep 2022 12:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.